> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kosli.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.kosli.com/feedback

```json
{
  "path": "/api-reference/artifacts/get-latest-artifact-commit",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get latest artifact commit

> Get the latest git commit of the artifact.



## OpenAPI

````yaml https://app.kosli.com/api/v2/openapi.json get /artifacts/{org}/{flow_name}/{fingerprint}/latest_commit
openapi: 3.1.0
info:
  title: Kosli API
  summary: The API for communicating with Kosli
  description: >

    # Authentication 


    When making requests against Kosli API, you can authenticate your requests
    using a bearer token. 

    Set the bearer token in the request Authorization header to a valid API
    key. 

    API Keys can be personal or for service accounts. Check the [service
    accounts
    documentation](https://docs.kosli.com/getting_started/service-accounts/) for
    details. 


    ## Curl example


    ```shell

    curl -H "Authorization: Bearer <<your-api-key>>"
    https://app.kosli.com/api/v2/environments/<<your-org-name>>

    ```
  version: '2.0'
servers:
  - url: https://app.kosli.com/api/v2
    description: EU
  - url: https://app.us.kosli.com/api/v2
    description: US
security:
  - HTTPBearer: []
paths:
  /artifacts/{org}/{flow_name}/{fingerprint}/latest_commit:
    get:
      tags:
        - Artifacts
      summary: Get latest artifact commit
      description: Get the latest git commit of the artifact.
      operationId: >-
        get_latest_artifact_commit_artifacts__org___flow_name___fingerprint__latest_commit_get
      parameters:
        - name: flow_name
          in: path
          required: true
          schema:
            type: string
            pattern: ^[a-zA-Z0-9][a-zA-Z0-9\.\-_~]*$
            title: Flow Name
        - name: fingerprint
          in: path
          required: true
          schema:
            type: string
            pattern: ^[a-f0-9]{64}$
            title: Fingerprint
        - name: org
          in: path
          required: true
          schema:
            type: string
            title: Org
        - name: branch
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: The branch to get the commit from
            title: Branch
          description: The branch to get the commit from
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LatestCommitResponse'
        '404':
          description: Flow Not Found
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/fastapi_app__errors__NotFoundResponse___locals___NotFoundResponseModel__13
      security:
        - HTTPBearer: []
        - HTTPBasic: []
components:
  schemas:
    LatestCommitResponse:
      properties:
        latest_commit:
          anyOf:
            - type: string
            - type: 'null'
          title: Latest Commit
      additionalProperties: false
      type: object
      required:
        - latest_commit
      title: LatestCommitResponse
      example:
        latest_commit: c8f476a48dee6f98e0aac8a6e418e2207900827f
    fastapi_app__errors__NotFoundResponse___locals___NotFoundResponseModel__13:
      properties:
        message:
          type: string
          title: Message
          description: Error message
        errors:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Errors
          description: Validation errors by field
      type: object
      required:
        - message
      title: NotFoundResponseModel
      description: Flow not found
      examples:
        - message: Flow not found
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````